channel: completeMigration
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Complete the message migration process by removing migration mode from a channel in a team. Migration mode is a special state that prevents certain operations, like sending messages and adding members, during the data migration process.
After a completeMigration request is made, you cannot import additional messages into the team. You can add members to the team after the request returns a successful response.
Permissions
The following permission is required to call this API. To learn more, see Permissions.
| Permission type | Permission |
|---|---|
| Delegated (work or school account) | Not supported. |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Teamwork.Migrate.All |
HTTP request
POST /teams/{team-id}/channels/{channel-id}/completeMigration
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body.
Example
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/teams/57fb72d0-d811-46f4-8947-305e6072eaa5/channels/19:4b6bed8d24574f6a9e436813cb2617d8@thread.tacv2/completeMigration
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for